=== debian/changelog ===
fwupdate (0.4-4ubuntu2) wily; urgency=medium

  * debian/patches/sbsigntool-not-pesign: dropped.
  * debian/patches/do-not-pesign: don't self-sign EFI binaries.
  * debian/control: dropped Build-Depends on pesign.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 18 Sep 2015 16:48:21 -0400

fwupdate (0.4-4ubuntu1) wily; urgency=medium

  * debian/patches/sbsigntool-not-pesign: use sbsigntool rather than pesign to
    do the initial self-signing.
  * debian/control:
    - don't build-depend on pesign; we use sbsigntool instead.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 18 Sep 2015 16:17:59 -0400

fwupdate (0.4-4) unstable; urgency=medium

  [ Daniel Jared Dominguez ]
  * Don't depend on efibootmgr since fwupdate uses efivar to set BootNext
  * update VCS info

  [ Mario Limonciello ]
  * Adjust maintainer to be team owned.
  * Backport 05d715f and 448aaab to fix arm* FTBFS. (Closes: #792904)

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 09 Sep 2015 10:21:38 -0500

fwupdate (0.4-3) unstable; urgency=medium

  * We need elfutils now.

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 13 Jul 2015 15:44:47 -0500

fwupdate (0.4-2) unstable; urgency=medium

  [ Mario Limonciello ]
  * For the distribution directory make sure that it's lowercase.
    This is what Debian and Ubuntu use for their EFI directories.
  * Import a patch from upstream to fix linking order when --as-needed.
  * Don't store EFI application in /boot/EFI in debian package.
    This causes upgrade issues for the package.  Move it over to
    /usr/lib/fwupdate and install in the postinst.
  * Add some patches that fix the Boot entry creation GUID.
  [ Daniel Jared Dominguez ]
  * Fix a minor "make install" weirdness with our library symlinks.
  * Add UEFI debugging stuff to the fwupdate binaries. (from upstream)

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 13 Jul 2015 13:32:42 -0500

fwupdate (0.4-1) unstable; urgency=low

  * Initial release (Closes: #785137)

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Mon, 01 Jun 2015 22:30:51 -0500
