=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS=-V

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
EFIDIR ?= $(shell lsb_release -is | awk '{ print tolower($$0) }')

buildroot	:= debian/tmp

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- libdir=\$${prefix}/usr/lib/$(DEB_HOST_MULTIARCH) LIBDIR=\$${prefix}/usr/lib GNUEFIDIR=\$${prefix}/usr/lib EFIDIR=$(EFIDIR)


override_dh_auto_install:
	dh_auto_install -- libdir=\$${prefix}/usr/lib/$(DEB_HOST_MULTIARCH) LIBDIR=\$${prefix}/usr/lib GNUEFIDIR=\$${prefix}/usr/lib EFIDIR=$(EFIDIR)
	chmod -x ${buildroot}/boot/efi/EFI/$(EFIDIR)/fwupdate.efi
