## fwupdate 0.4+git20151030.114130.df3fd37

=== efi/Makefile ===
--- 
+++ 
@@ -2,16 +2,16 @@
 include $(TOPDIR)/Make.version
 include $(TOPDIR)/Make.defaults
 
-
-CFLAGS		= -O0 -g3
+CFLAGS		?= -O0 -g3
 BUILDFLAGS	:= $(CFLAGS) -fpic -Wall -fshort-wchar \
 	-fno-strict-aliasing -fno-merge-constants -ffreestanding \
 	-fno-stack-protector -fno-stack-check --std=c11 -DCONFIG_$(ARCH) \
 	-D__KERNEL__ -I/usr/include/efi/ -I/usr/include/efi/$(ARCH)/ \
-	-iquote$(TOPDIR)/include
-LDFLAGS		= -nostdlib --warn-common --no-undefined --fatal-warnings \
-	-shared -Bsymbolic -L$(LIBDIR) -L$(GNUEFIDIR) \
+	-iquote$(TOPDIR)/include "-DDEBUGDIR=L\"$(DEBUGDIR)/\""
+LDFLAGS		?= -nostdlib --warn-common --no-undefined --fatal-warnings \
+	-shared -Bsymbolic -L$(LIBDIR) -L$(GNUEFIDIR) --build-id=sha1 \
 	$(GNUEFIDIR)/crt0-efi-$(ARCH).o
+OBJCOPY_GTE224 = $(shell expr `$(OBJCOPY) --version |grep ^"GNU objcopy" | sed 's/^.* //g' | cut -f1-2 -d.` \>= 2.24)
 
 ifeq ($(ARCH),x86_64)
 	FORMAT = --target efi-app-$(ARCH)
@@ -44,25 +44,57 @@
 
 all : $(TARGETS)
 
-%.efi : %.efi.unsigned
+.SECONDARY: $(foreach target,$(TARGETS),$(target).debug $(target).build-id)
+
+%.efi : %.efi.unsigned %.efi.debug %.efi.build-id
 	pesign -s -i $< -o $@ --force -c 'Red Hat Test Certificate'
 
 %.efi.unsigned : %.so
+ifneq ($(OBJCOPY_GTE224),1)
+	$(error objcopy >= 2.24 is required)
+endif
 	$(OBJCOPY) -j .text -j .sdata -j .data -j .dynamic -j .dynsym \
-		-j .rel* -j .rela* -j .reloc \
+		-j .rel* -j .rela* -j .reloc -j .eh_frame \
 		$(FORMAT) $^ $@
+
+%.efi.debug : %.so
+ifneq ($(OBJCOPY_GTE224),1)
+	$(error objcopy >= 2.24 is required)
+endif
+	$(OBJCOPY) -j .text -j .sdata -j .data -j .dynamic -j .dynsym \
+		-j .rel* -j .rela* -j .reloc -j .eh_frame \
+		-j .debug* -j .note.gnu.build-id \
+		$^ $@
+
+%.efi.build-id : %.so
+	$(READELF) -n $^ | grep "Build ID:" | \
+		sed -e 's/^.*Build ID: //' -e 's,^\(..\),\1/,' > $@
 
 %.so : %.o
 	$(LD) $(LDFLAGS) -o $@ $^ -lefi -lgnuefi \
-		$(shell gcc -print-libgcc-file-name) \
-		-T $(GNUEFIDIR)/elf_$(ARCH)_efi.lds
+		$(shell $(CC) -print-libgcc-file-name) \
+		-T elf_$(ARCH)_efi.lds
 
 %.o : %.c
 	$(CC) $(BUILDFLAGS) -c -o $@ $^
 
 clean :
-	@rm -vf $(TARGETS) *.o *.so *.efi.unsigned *.efi
+	@rm -vf $(TARGETS) *.o *.so *.efi.unsigned *.efi *.efi.debug \
+		*.efi.build-id
+
+buildiddir = $(dirname $(shell cat $(1).build-id))
+define inst =
+ $(INSTALL) -d -m 755 $(DESTDIR)$(TARGETDIR)
+ $(INSTALL) -m 755 $(1) $(DESTDIR)$(TARGETDIR)$(1)
+ $(INSTALL) -d -m 755 $(DESTDIR)$(DEBUGINFO)$(TARGETDIR)
+ $(INSTALL) -m 755 $(1).debug $(DESTDIR)$(DEBUGINFO)$(TARGETDIR)/$(1).debug
+ $(INSTALL) -d -m 755 $(DESTDIR)$(DEBUGINFO).build-id/$(dir $(shell cat $(1).build-id))
+ ln -sf ../../../../..$(TARGETDIR)$(1) $(DESTDIR)$(DEBUGINFO).build-id/$(shell cat $(1).build-id)
+ ln -sf ../..$(TARGETDIR)$(1).debug $(DESTDIR)$(DEBUGINFO).build-id/$(shell cat $(1).build-id).debug
+endef
 
 install : fwupdate.efi
-	$(INSTALL) -d -m 755 $(DESTDIR)/boot/efi/EFI/$(EFIDIR)/fw/
-	$(INSTALL) -m 755 fwupdate.efi $(DESTDIR)/boot/efi/EFI/$(EFIDIR)/fwupdate.efi
+	$(INSTALL) -d -m 755 $(DESTDIR)$(TARGETDIR)/fw/
+	$(foreach prog,$^,$(call inst,$(prog)) ; )
+	$(INSTALL) -d -m 755 $(DESTDIR)$(DEBUGSOURCE)fwupdate-$(VERSION)/efi
+	$(foreach src,$(wildcard *.[chS]),$(INSTALL) -m 644 $(src) $(DESTDIR)$(DEBUGSOURCE)fwupdate-$(VERSION)/efi/$(src) ;)
