=== linux/Makefile ===
--- 
+++ 
@@ -5,16 +5,16 @@
 LIB_LIBS= pthread
 BIN_LIBS= popt pthread
 PKLIBS	= efivar efiboot
-CFLAGS	= -g -O0
+CFLAGS	?= -g -O0
 PJONES  =
 BIN_CCLDFLAGS = $(foreach lib,$(BIN_LIBS),-l$(lib)) \
 	$(foreach pklib,$(PKLIBS), \
 		$(shell pkg-config --libs-only-l --libs-only-other $(pklib))) \
-	-pie -fPIE -Wl,-z,relro,-z,now -L.
+	$(LDFLAGS) -pie -fPIE -Wl,-z,relro,-z,now -L.
 LIB_CCLDFLAGS = $(foreach lib,$(LIB_LIBS),-l$(lib)) \
 	$(foreach pklib,$(PKLIBS), \
 		$(shell pkg-config --libs-only-l --libs-only-other $(pklib))) \
-	-shared -fPIC -Wl,-z,relro,-z,now
+	$(LDFLAGS) -shared -fPIC -Wl,-z,relro,-z,now
 
 BUILDFLAGS := $(CFLAGS) -Wall -Wno-unused-result -Wno-unused-function \
 	-Wsign-compare -Werror=sign-compare \
@@ -27,7 +27,7 @@
 
 BINTARGETS=fwupdate
 INCTARGETS=include/fwup.h
-LIBTARGETS=libfwup.so.$(VERSION)
+LIBTARGETS=libfwup.so.$(VERSION) libfwup.so.$(MAJOR_VERSION)
 PCTARGETS=fwup.pc
 POTARGETS = fwupdate.po libfwup.po
 TARGETS=$(BINTARGETS) $(INCTARGETS) $(LIBTARGETS) $(PCTARGETS) $(POTARGETS) libfwup.so
@@ -39,15 +39,18 @@
 fwupdate : libfwup.so
 
 % : %.o
-	$(CC) $(BUILDFLAGS) $(BIN_CCLDFLAGS) -o $@ $(patsubst lib%.so,-l%,$^)
+	$(CC) $(BUILDFLAGS) -o $@ $(patsubst lib%.so,-l%,$^) $(BIN_CCLDFLAGS)
 
 %.so.$(VERSION) : %.o
-	$(CC) $(BUILDFLAGS) $(LIB_CCLDFLAGS) \
-		-Wl,-soname,$@ \
-		-o $@ $^
+	$(CC) $(BUILDFLAGS) \
+		-Wl,-soname,$(patsubst %.o,%.so.$(MAJOR_VERSION),$<) \
+		-o $@ $^ $(LIB_CCLDFLAGS)
+
+%.so.$(MAJOR_VERSION) : %.so.$(VERSION)
+	ln -sf $< $@
 
 %.so : %.so.$(VERSION)
-	ln -sf $^ $@
+	ln -sf $< $@
 
 %.po : %.c
 	$(XGETTEXT) -a --package-name=$(patsubst %.po,%,$@) --package-version=$(VERSION) -o $@ $^
@@ -69,6 +72,7 @@
 
 clean :
 	@rm -vf $(BINTARGETS) $(LIBTARGETS) $(PCTARGETS) $(POTARGETS) *.o
+	@rm -vf libfwup.so*
 
 install : all
 	$(INSTALL) -d -m 755 $(DESTDIR)/$(libdir)
@@ -81,5 +85,4 @@
 	$(INSTALL) -m 644 $(POTARGETS) $(DESTDIR)/$(localedir)/en/
 	$(INSTALL) -d -m 755 $(DESTDIR)/$(bindir)
 	$(foreach x, $(BINTARGETS), $(INSTALL) -m 755 $(x) $(DESTDIR)/$(bindir);)
-	ln -sf libfwup.so.$(VERSION) $(DESTDIR)/$(libdir)/libfwup.so
-	$(foreach x, $(wildcard *.so.$(VERSION)), ln -fs $(x) $(patsubst %.so.$(VERSION),%.so,$(DESTDIR)/$(libdir)/$(x));)
+	$(foreach x, $(wildcard *.so.$(VERSION)), ln -fs $(x) $(patsubst %.so.$(VERSION),%.so,$(DESTDIR)/$(libdir)/$(x)); ln -fs $(x) $(patsubst %.so.$(VERSION),%.so.$(MAJOR_VERSION),$(DESTDIR)/$(libdir)/$(x));)
