=== debian/changelog ===
fwupdate (0.4+git20151030.114130.df3fd37-0ubuntu1~15.04.1) vivid; urgency=medium

  * Hardware enablement backport to 15.04. (LP: #1512518)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 02 Nov 2015 17:10:18 -0600

fwupdate (0.4+git20151030.114130.df3fd37-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot:
    - Don't ignore the invalid protective MBR
    - Fix firmware update failure due to not finding capsule image
    - Smartly match up the device path for capsule image
  * debian/patches/open_modes.patch: dropped, applied upstream.
  * debian/patches/link_with_cc.patch: update to properly build time binary
    by using --hash-style=sysv so we get the right type of hash table for
    symbols.
  * debian/patches/find_shim.patch: find the right path for shim in the ESP
    when we go to add the entry for the firmware updater.
  * debian/patches/firmware_updater_name.patch: drop spaces in Linux Firmware
    Updater name when creating the BootEntry: shim parses them and gets
    confused.
  * debian/rules: build an extra artefact for EFI binaries for signing.
  * debian/fwupdate.{postinst,postrm}: Don't install fwupdate.efi to the ESP.
  * debian/rules: don't try to chmod fwupdate.efi in the ESP, since we don't
    ship it.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 02 Nov 2015 12:16:59 -0500

fwupdate (0.4+git20151015.081427-0ubuntu3) xenial; urgency=medium

  * debian/patches/link_with_cc.patch: really fix armhf and arm64: pass the
    upstream LDFLAGS via CCLDFLAGS; so that these architectures get the right
    options while building and linking. This is basically upstream commit
    9c1517d1.
  * debian/patches/open_modes.patch: pass mode 0600 rather than 0 for open,
    even if the mode might not be that meaningful to FAT. (d9981cd5)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 26 Oct 2015 15:21:53 -0400

fwupdate (0.4+git20151015.081427-0ubuntu2) xenial; urgency=medium

  * debian/patches/link_with_cc.patch: also update LDFLAGS additions for arm
    and aarch64 (setting --defsym) to be properly parsed by CC as LD options.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 26 Oct 2015 14:23:49 -0400

fwupdate (0.4+git20151015.081427-0ubuntu1) xenial; urgency=medium

  * Upstream snapshot 2015-10-15 08:14:27 (3a0452b4)
    - Clear time_attempted for the existing status info
    - Fix returning NULL path if status variable contains an existing capsule
    - Do not close() the fd passed to fwup_set_up_update()
    - Don't show an error if SHIM_DEBUG isn't found.
    - Respect CFLAGS and LDFLAGS
    - Be more resilient against malformed status variables.
    - Add missing armv7 .lds
    - Use the correct GUID when setting Boot#### entries.
    - Do a better job of setting SONAME right.
  * debian/patches/000*: Removed patches (applied upstream):
    - 0001-Do-a-better-job-of-setting-SONAME-right.patch
    - 0002-In-clean-rule-remove-libfwup.so.patch
    - 0003-Reorder-parameters-to-gcc-so-things-link-correctly.patch
    - 0004-Fix-another-place-where-we-should-be-using-efi_guid_.patch
    - 0005-Use-the-correct-GUID-when-setting-Boot-entries.patch
    - 0006-Fix-a-minor-make-install-weirdness-with-our-library-.patch
    - 0007-Add-UEFI-debugging-stuff-to-the-fwupdate-binaries.patch
    - 0008-Add-missing-armv7-.lds.patch
    - 0009-Explicitly-place-our-build-id-notes.patch
  * debian/patches/link_with_cc.patch: use $(CC) to link instead of $(LD),
    since we pass default flags with -Wl.
  * debian/patches/open_modes.patch: open() needs a third option if used with
    O_CREAT, for file mode.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 22 Oct 2015 18:17:18 +0100
