=== debian/control ===
Source: fwupdate
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
Uploaders: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9.0.0), pkg-config, libpopt-dev, libefivar-dev (>= 0.16), lsb-release, gnu-efi (>= 3.0.2), elfutils
Standards-Version: 3.9.6.1
Section: libs
Homepage: https://github.com/rhinstaller/fwupdate
Vcs-Git: git://anonscm.debian.org/uefi/fwupdate.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=uefi/fwupdate.git

Package: libfwup-dev
Section: libdevel
Architecture: amd64 i386 armhf arm64 armel
Multi-Arch: same
Depends: libfwup0 (= ${binary:Version}), ${misc:Depends}, libefivar-dev (>= 0.16)
Description: Development headers for linfwup
 fwupdate provides functionality to update system firmware. It has been 
 initially designed to update firmware using UEFI capsule updates, but 
 it is designed to be extensible to other firmware update standards.
 .
 This package provides development headers required to use libfwup.

Package: fwupdate
Section: admin
Architecture: amd64 i386 armhf arm64 armel
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libfwup0 (= ${binary:Version})
Description: Tools to manage UEFI firmware updates
 fwupdate provides functionality to update system firmware. It has been 
 initially designed to update firmware using UEFI capsule updates, but 
 it is designed to be extensible to other firmware update standards.
 .
 This package provides a simple command line interface to perform UEFI 
 firmware updates.

Package: libfwup0
Architecture: amd64 i386 armhf arm64 armel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to manage UEFI firmware updates
 fwupdate provides functionality to update system firmware. It has been 
 initially designed to update firmware using UEFI capsule updates, but 
 it is designed to be extensible to other firmware update standards.
 .
 This library is to allow for the simple manipulation of UEFI firmware updates.
