=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 export DH_VERBOSE=1
 export DH_OPTIONS=-V
+
+deb_version             := $(shell dpkg-parsechangelog | sed -ne "s/^Version: \(.*\)/\1/p")
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 EFIDIR ?= $(shell lsb_release -is | awk '{ print tolower($$0) }')
@@ -18,4 +20,19 @@
 
 override_dh_auto_install:
 	dh_auto_install -- libdir=\$${prefix}/usr/lib/$(DEB_HOST_MULTIARCH) LIBDIR=\$${prefix}/usr/lib GNUEFIDIR=\$${prefix}/usr/lib EFIDIR=$(EFIDIR)
-	chmod -x ${buildroot}/boot/efi/EFI/$(EFIDIR)/fwupdate.efi
+
+override_dh_clean:
+	dh_clean
+	rm -rf debian/fwupdate-images
+
+TARNAME := fwupdate_$(deb_version)_$(DEB_HOST_ARCH).tar.gz
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
+	mkdir -p debian/fwupdate-images/$(deb_version)
+	cp efi/fwupdate.efi debian/fwupdate-images/$(deb_version)
+	echo $(deb_version) \
+                > debian/fwupdate-images/$(deb_version)/version
+	cd debian/fwupdate-images && tar czvf ../../../$(TARNAME) .
+	dpkg-distaddfile $(TARNAME) raw-uefi -
+
