=== efi/Makefile ===
--- 
+++ 
@@ -6,50 +6,61 @@
 BUILDFLAGS	:= $(CFLAGS) -fpic -Wall -fshort-wchar \
 	-fno-strict-aliasing -fno-merge-constants -ffreestanding \
 	-fno-stack-protector -fno-stack-check --std=c11 -DCONFIG_$(ARCH) \
-	-D__KERNEL__ -I/usr/include/efi/ -I/usr/include/efi/$(ARCH)/ \
+	-I/usr/include/efi/ -I/usr/include/efi/$(ARCH)/ \
 	-iquote$(TOPDIR)/include "-DDEBUGDIR=L\"$(DEBUGDIR)/\""
-LDFLAGS		?= -nostdlib --warn-common --no-undefined --fatal-warnings \
-	-shared -Bsymbolic -L$(LIBDIR) -L$(GNUEFIDIR) --build-id=sha1 \
+CCLDFLAGS	?= -nostdlib -Wl,--warn-common \
+	-Wl,--no-undefined -Wl,--fatal-warnings \
+	-Wl,-shared -Wl,-Bsymbolic -L$(LIBDIR) -L$(GNUEFIDIR) \
+	-Wl,--build-id=sha1 -Wl,--hash-style=sysv \
 	$(GNUEFIDIR)/crt0-efi-$(ARCH).o
 OBJCOPY_GTE224 = $(shell expr `$(OBJCOPY) --version |grep ^"GNU objcopy" | sed 's/^.* //g' | cut -f1-2 -d.` \>= 2.24)
+
+FWUP = fwupdate
 
 ifeq ($(ARCH),x86_64)
 	FORMAT = --target efi-app-$(ARCH)
 	BUILDFLAGS += -mno-mmx -mno-sse -mno-red-zone -nostdinc \
 		-maccumulate-outgoing-args -DEFI_FUNCTION_WRAPPER \
 		-DGNU_EFI_USE_MS_ABI -I$(shell $(CC) -print-file-name=include)
+	FWUP = fwupx64
 endif
 ifeq ($(ARCH),ia32)
 	FORMAT = --target efi-app-$(ARCH)
 	BUILDFLAGS += -mno-mmx -mno-sse -mno-red-zone -nostdinc \
 		-maccumulate-outgoing-args -m32 \
 		-I$(shell $(CC) -print-file-name=include)
+	FWUP = fwupia32
 endif
 
 ifeq ($(ARCH),aarch64)
 	FORMAT = -O binary
-	LDFLAGS += --defsym=EFI_SUBSYSTEM=0xa
+	CCLDFLAGS += -Wl,--defsym=EFI_SUBSYSTEM=0xa
 	BUILDFLAGS += -ffreestanding -I$(shell $(CC) -print-file-name=include)
+	FWUP = fwupaa64
 endif
 
 ifeq ($(ARCH),arm)
 	FORMAT = -O binary
-	LDFLAGS += --defsym=EFI_SUBSYSTEM=0xa
+	CCLDFLAGS += -Wl,--defsym=EFI_SUBSYSTEM=0xa
 	BUILDFLAGS += -ffreestanding -I$(shell $(CC) -print-file-name=include)
+	FWUP = fwuparm
 endif
 
-MAME=make
-
-TARGETS = fakeesrt2.efi fakeesrt.efi dumpesrt.efi fwupdate.efi mkvar.efi dumpf.efi mkvar2.efi
+TARGETS = fakeesrt2.efi fakeesrt.efi dumpesrt.efi $(FWUP).efi mkvar.efi dumpf.efi mkvar2.efi
 
 all : $(TARGETS)
 
 .SECONDARY: $(foreach target,$(TARGETS),$(target).debug $(target).build-id)
 
-%.efi : %.efi.unsigned %.efi.debug %.efi.build-id
+$(FWUP).so : fwupdate.so
+	ln -f $< $@
+
+$(FWUP).efi : | $(FWUP).so
+
+%.efi.signed : %.efi %.efi.debug %.efi.build-id
 	pesign -s -i $< -o $@ --force -c 'Red Hat Test Certificate'
 
-%.efi.unsigned : %.so
+%.efi : %.so
 ifneq ($(OBJCOPY_GTE224),1)
 	$(error objcopy >= 2.24 is required)
 endif
@@ -71,7 +82,7 @@
 		sed -e 's/^.*Build ID: //' -e 's,^\(..\),\1/,' > $@
 
 %.so : %.o
-	$(LD) $(LDFLAGS) -o $@ $^ -lefi -lgnuefi \
+	$(CC) $(CCLDFLAGS) -o $@ $^ -lefi -lgnuefi \
 		$(shell $(CC) -print-libgcc-file-name) \
 		-T elf_$(ARCH)_efi.lds
 
@@ -79,7 +90,7 @@
 	$(CC) $(BUILDFLAGS) -c -o $@ $^
 
 clean :
-	@rm -vf $(TARGETS) *.o *.so *.efi.unsigned *.efi *.efi.debug \
+	@rm -vf $(TARGETS) *.o *.so *.efi.signed *.efi *.efi.debug \
 		*.efi.build-id
 
 buildiddir = $(dirname $(shell cat $(1).build-id))
@@ -93,7 +104,7 @@
  ln -sf ../..$(TARGETDIR)$(1).debug $(DESTDIR)$(DEBUGINFO).build-id/$(shell cat $(1).build-id).debug
 endef
 
-install : fwupdate.efi
+install : $(FWUP).efi | $(FWUP).efi.debug $(FWUP).efi.build-id
 	$(INSTALL) -d -m 755 $(DESTDIR)$(TARGETDIR)/fw/
 	$(foreach prog,$^,$(call inst,$(prog)) ; )
 	$(INSTALL) -d -m 755 $(DESTDIR)$(DEBUGSOURCE)fwupdate-$(VERSION)/efi
