=== debian/changelog ===
fwupdate (0.5-2ubuntu4) xenial; urgency=medium

  * Build DISTRIBUTOR into /usr/lib/fwupdate/install at build using dpkg-vendor.
  * Modify postrm script:
    - hardcode EFIDIR at build time
    - use DPKG_MAINTSCRIPT_ARCH

 -- Mario Limonciello <mario_limonciello@dell.com>  Sun, 20 Mar 2016 14:12:38 -0500

fwupdate (0.5-2ubuntu3) xenial; urgency=medium

  * If EFI variables aren't available when the postinst runs, don't mistakingly
    mark the cleanup script as done.  This avoids the cleanup done flag being
    written in chroot situations such as building a livefs.
  * Purge EFI binaries from ESP for correct architecture
  * If system isn't running in EFI mode, don't install binary to ESP directory

 -- Mario Limonciello <mario_limonciello@dell.com>  Sun, 20 Mar 2016 02:55:41 -0500

fwupdate (0.5-2ubuntu2) xenial; urgency=medium

  * Remove immutable attribute in cleanup script due to a kernel behavioral
    change in ed8b0de5.
  * Correct one more path related to signed script

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 17 Mar 2016 10:33:16 -0500

fwupdate (0.5-2ubuntu1) xenial; urgency=medium

  * Correct the location of the signed binaries

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 16 Mar 2016 00:52:15 -0500

fwupdate (0.5-2) unstable; urgency=medium

  * Remove unowned files that were created by fwupdate through purge.
    (Fixes: #810697)

 -- Mario Limonciello <mario_limonciello@dell.com>  Mon, 11 Jan 2016 16:04:19 -0600

fwupdate (0.5-1) unstable; urgency=medium

  * New upstream version: 0.5.
  * Drop all patches merged upstream.
  * debian/rules: Adjust GNUEFIDIR to not include prefix.
  * Adjust name of binary that is installed to ESP
  * Adjust build arguments to changes in build system
  * Add clean file for systemd rules that aren't automatically cleaned on make 
    clean
  * Install systemd clean service script to /usr/lib/fwupdate
  * Install new man pages and systemd service files
  * Add efibootmgr to fwupdate dependencies to allow cleanup from postinst
  * Cleanup Bootnum for old fwupdate.efi.  It will be regenerated with 
    fwupd64.efi
  * Place the done file for the cleanup service in /var/cache
  * Call fwupdate cleanup in postinst to avoid problems with OS reinstallation
  * Install EFI binaries for non-x64 arch as well
  * Remove multiple Linux Firmware Updater entries if they exist
  * Create cache directory in package
  * Don't cleanup extra NVRAM boot entries on postinst.
  * Build a raw-uefi archive for use with UEFI signing
  * Add a common script for instaling fwup*.efi binary to ESP
  * Remove empty postinst and postrm scripts for libfwup0.
  * Only build raw-uefi archive on Ubuntu

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 19 Nov 2015 11:48:01 -0600

fwupdate (0.4-5) unstable; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/do-not-pesign: don't self-sign EFI binaries.
  * debian/control: dropped Build-Depends on pesign.

  [ Mario Limonciello ]
  * Backport 1c7f78 and 1c1218  to avoid errors if SHIM_DEBUG is missing.
  * Add myself to uploaders.

 -- Mario Limonciello <mario_limonciello@dell.com>  Mon, 05 Oct 2015 14:43:51 -0500
