=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: fwupdate
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
-Uploaders: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>, Steve McIntyre <93sam@debian.org>
-Build-Depends: debhelper (>= 9.0.0), pkg-config, libpopt-dev, libefivar-dev (>= 0.16), lsb-release, gnu-efi (>= 3.0.2), elfutils
+Maintainer: Debian EFI <debian-efi@lists.debian.org>
+Uploaders: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>, Steve McIntyre <93sam@debian.org>, Mario Limonciello <mario_limonciello@dell.com>
+Build-Depends: debhelper (>= 9.0.0), pkg-config, libpopt-dev, libefivar-dev (>= 0.16), gnu-efi (>= 3.0.2), elfutils
 Standards-Version: 3.9.6.1
 Section: libs
 Homepage: https://github.com/rhinstaller/fwupdate
@@ -26,7 +25,7 @@
 Section: admin
 Architecture: amd64 i386 armhf arm64 armel
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, libfwup0 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libfwup0 (= ${binary:Version}), efibootmgr
 Description: Tools to manage UEFI firmware updates
  fwupdate provides functionality to update system firmware. It has been 
  initially designed to update firmware using UEFI capsule updates, but
