=== efi/Makefile ===
--- 
+++ 
@@ -1,11 +1,13 @@
+default : all
+
 TOPDIR	?= $(shell pwd)/..
 include $(TOPDIR)/Make.version
 include $(TOPDIR)/Make.defaults
 
 CFLAGS		?= -O0 -g3
-BUILDFLAGS	:= $(CFLAGS) -fpic -Wall -fshort-wchar \
-	-fno-strict-aliasing -fno-merge-constants -ffreestanding \
-	-fno-stack-protector -fno-stack-check --std=c11 -DCONFIG_$(ARCH) \
+BUILDFLAGS	:= $(CFLAGS) -fpic -Werror -Wall -Wextra -fshort-wchar \
+	-fno-merge-constants -ffreestanding \
+	-fno-stack-protector -fno-stack-check --std=gnu11 -DCONFIG_$(ARCH) \
 	-I/usr/include/efi/ -I/usr/include/efi/$(ARCH)/ \
 	-iquote$(TOPDIR)/include "-DDEBUGDIR=L\"$(DEBUGDIR)/\""
 CCLDFLAGS	?= -nostdlib -Wl,--warn-common \
@@ -104,6 +106,7 @@
  ln -sf ../..$(TARGETDIR)$(1).debug $(DESTDIR)$(DEBUGINFO).build-id/$(shell cat $(1).build-id).debug
 endef
 
+install : | check_efidir_error
 install : $(FWUP).efi | $(FWUP).efi.debug $(FWUP).efi.build-id
 	$(INSTALL) -d -m 755 $(DESTDIR)$(TARGETDIR)/fw/
 	$(foreach prog,$^,$(call inst,$(prog)) ; )
