=== include/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include $(TOPDIR)/Make.version
 include $(TOPDIR)/Make.defaults
 
-all clean :
+all clean dep :
 
 install :
 	$(INSTALL) -d -m 755 $(DESTDIR)$(DEBUGSOURCE)fwupdate-$(VERSION)/include
