=== linux/Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+default : all
+
 TOPDIR	?= $(shell pwd)/..
 include $(TOPDIR)/Make.version
 include $(TOPDIR)/Make.defaults
@@ -5,6 +7,13 @@
 LIB_LIBS= pthread
 BIN_LIBS= popt pthread
 PKLIBS	= efivar efiboot
+HAVE_LIBSMBIOS=no
+ifeq ($(ARCH),x86_64)
+	HAVE_LIBSMBIOS=yes
+endif
+ifeq ($(ARCH),ia32)
+	HAVE_LIBSMBIOS=yes
+endif
 CFLAGS	?= -g -O0
 PJONES  =
 BIN_CCLDFLAGS = $(foreach lib,$(BIN_LIBS),-l$(lib)) \
@@ -16,7 +25,12 @@
 		$(shell pkg-config --libs-only-l --libs-only-other $(pklib))) \
 	$(LDFLAGS) -shared -fPIC -Wl,-z,relro,-z,now
 
-BUILDFLAGS := $(CFLAGS) -Wall -Wno-unused-result -Wno-unused-function \
+ifeq ($(HAVE_LIBSMBIOS),yes)
+	PKLIBS += libsmbios_c
+	CFLAGS += -DFWUPDATE_HAVE_LIBSMBIOS__
+endif
+BUILDFLAGS := $(CFLAGS) -Wall -Wextra -Werror -Wno-error=cpp \
+	-Wno-unused-result -Wno-unused-function \
 	-Wsign-compare -Werror=sign-compare \
 	-fshort-wchar --std=gnu11 \
 	-DLOCALEDIR=\"$(localedir)\" -D_GNU_SOURCE \
@@ -26,11 +40,11 @@
 	$(PJONES)
 
 BINTARGETS=fwupdate
-INCTARGETS=include/fwup.h
-LIBTARGETS=libfwup.so.$(VERSION) libfwup.so.$(MAJOR_VERSION)
+INCTARGETS=include/fwup-version.h include/fwup.h
+LIBTARGETS=libfwup.so
 PCTARGETS=fwup.pc
 POTARGETS = fwupdate.po libfwup.po
-TARGETS=$(BINTARGETS) $(INCTARGETS) $(LIBTARGETS) $(PCTARGETS) $(POTARGETS) libfwup.so cleanup.service cleanup
+TARGETS=$(BINTARGETS) $(INCTARGETS) $(foreach x,$(LIBTARGETS),$(x) $(x).1 $(x).1.$(VERSION)) $(PCTARGETS) $(POTARGETS) libfwup.so cleanup.service cleanup
 
 .SUFFIXES:
 
@@ -38,18 +52,21 @@
 
 fwupdate : libfwup.so
 
+libfwup.c : | include/fwup.h include/fwup-version.h
+include/fwup.h : | include/fwup-version.h
+
 % : %.o
 	$(CC) $(BUILDFLAGS) -o $@ $(patsubst lib%.so,-l%,$^) $(BIN_CCLDFLAGS)
 
-%.so.$(VERSION) : %.o
+%.so.1.$(VERSION) : %.o
 	$(CC) $(BUILDFLAGS) \
-		-Wl,-soname,$(patsubst %.o,%.so.$(MAJOR_VERSION),$<) \
+		-Wl,-soname,$(patsubst %.o,%.so.1,$<) \
 		-o $@ $^ $(LIB_CCLDFLAGS)
 
-%.so.$(MAJOR_VERSION) : %.so.$(VERSION)
+%.so.1 : %.so.1.$(VERSION)
 	ln -sf $< $@
 
-%.so : %.so.$(VERSION)
+%.so : %.so.1.$(VERSION)
 	ln -sf $< $@
 
 %.po : %.c
@@ -60,6 +77,8 @@
 
 % : %.in
 	sed -e "s,@@VERSION@@,$(VERSION),g" \
+		-e "s,@@FWUP_MAJOR_VERSION@@,$(MAJOR_VERSION),g" \
+		-e "s,@@FWUP_MINOR_VERSION@@,$(MINOR_VERSION),g" \
 		-e "s,@@DATADIR@@,$(datadir),g" \
 		-e "s,@@EFIDIR@@,$(EFIDIR),g" \
 		-e "s,@@LIBDIR@@,$(libdir),g" \
@@ -77,10 +96,11 @@
 	@rm -vf $(BINTARGETS) $(LIBTARGETS) $(PCTARGETS) $(POTARGETS) *.o
 	@rm -vf libfwup.so*
 	@rm -vf cleanup.service cleanup
+	@rm -vf include/fwup-version.h
 
-install : all
+install : check_efidir_error all
 	$(INSTALL) -d -m 755 $(DESTDIR)/$(libdir)
-	$(foreach x, $(LIBTARGETS), $(INSTALL) -m 755 $(x) $(DESTDIR)/$(libdir);)
+	$(foreach x, $(LIBTARGETS), $(INSTALL) -m 755 $(x).1.$(VERSION) $(DESTDIR)/$(libdir);)
 	$(INSTALL) -d -m 755 $(DESTDIR)/$(pcdir)
 	$(foreach x, $(PCTARGETS), $(INSTALL) -m 644 $(x) $(DESTDIR)/$(pcdir) ;)
 	$(INSTALL) -d -m 755 $(DESTDIR)/$(includedir)/
@@ -89,7 +109,10 @@
 	$(INSTALL) -m 644 $(POTARGETS) $(DESTDIR)/$(localedir)/en/
 	$(INSTALL) -d -m 755 $(DESTDIR)/$(bindir)
 	$(foreach x, $(BINTARGETS), $(INSTALL) -m 755 $(x) $(DESTDIR)/$(bindir);)
-	$(foreach x, $(wildcard *.so.$(VERSION)), ln -fs $(x) $(patsubst %.so.$(VERSION),%.so,$(DESTDIR)/$(libdir)/$(x)); ln -fs $(x) $(patsubst %.so.$(VERSION),%.so.$(MAJOR_VERSION),$(DESTDIR)/$(libdir)/$(x));)
+	$(foreach x, $(wildcard *.so.1.$(VERSION)), \
+		ln -fs $(x) $(patsubst %.so.1.$(VERSION),%.so.1,$(DESTDIR)/$(libdir)/$(x)) ;\
+		ln -fs $(x) $(patsubst %.so.1.$(VERSION),%.so,$(DESTDIR)/$(libdir)/$(x)) ;\
+		)
 	$(INSTALL) -d -m 755 $(DESTDIR)$(datadir)/fwupdate/
 	$(INSTALL) -d -m 755 $(DESTDIR)$(libexecdir)/fwupdate/
 	$(INSTALL) -m 755 cleanup $(DESTDIR)$(libexecdir)/fwupdate/cleanup
