=== debian/changelog ===
fwupdate (8-3) unstable; urgency=medium

  * Rebuild against libefivar-dev 30.
  * drop efivar version required patch.

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 23 Sep 2016 11:24:59 -0500

fwupdate (8-2) unstable; urgency=medium

  * debian/control:
    - Update dell email addresses (_ -> .)
    - Only build depend on libsmbios-dev for x86 (Closes: #837198)
    - Drop armel from architecture list (no gnu-efi)

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 07 Sep 2016 14:40:52 -0500

fwupdate (8-1) unstable; urgency=medium

  * New upstream version (8)
  * Add build-depends on libsmbios-dev and tighten libefivar-dev dependency
  * Correct various postinstall scripts for issues caught by shellcheck
  * Add a postinst for libfwup0 to satisfy lintian error about not calling
    ldconfig
  * more shellcheck improvements
  * Set EFIDIR on clean rule too
  * fix install command
  * Update to tighter efivar dependencies
  * Add patch to fix efivar version dependency
  * Update standards version.
  * drop empty libfwup1 postinstall script
  * Add lintian override for systemd missing Install target

 -- Mario Limonciello <mario_limonciello@dell.com>  Mon, 29 Aug 2016 09:30:32 -0500

fwupdate (0.5-4) unstable; urgency=medium

  * Force date to use UTC timezone for reproducible builds
  * Don't fail if ESP's fw directory doesn't exist during postrm (Closes: #810697)
  * Fix potential upgrades from older versions of fwupdate that didn't have an
    explicit dependency to bring in lsb_release
  * Cleanup fwupdate.postinst on clean step too

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 15 Apr 2016 15:50:41 -0500

fwupdate (0.5-3) unstable; urgency=medium

  * Correct the location of the signed binaries
  * Remove immutable attribute in cleanup script due to a kernel behavioral
    change in ed8b0de5.
  * Correct one more path related to signed script
  * If EFI variables aren't available when the postinst runs, don't mistakingly
    mark the cleanup script as done.  This avoids the cleanup done flag being
    written in chroot situations
  * Create ESP directory from scripts/install instead
  * Purge EFI binaries from ESP for correct architecture
  * If system isn't running in EFI mode, don't install binary to ESP directory
  * Build DISTRIBUTOR into /usr/lib/fwupdate/install at build using dpkg-vendor.
  * Modify postrm script: hardcode EFIDIR at build time, use
    DPKG_MAINTSCRIPT_ARCH
  * Remove empty directories during fwupdate cleanup (Closes: #810697)
  * Make builds reproducible by setting POT-Creation-Date from debian/changelog.
  * Adjust fwupdate.postinst.in's upgrade part of the script to not use lsb_release as well
  * Drop dependency on coreutils, it's in Essential
  * Add comments explaining the situation with signed vs unsigned binaries to README.Debian
  * Fix a typo in debian/control

 -- Mario Limonciello <mario_limonciello@dell.com>  Mon, 28 Mar 2016 19:41:06 -0500
