=== debian/control ===
Source: fwupdate
Priority: optional
Maintainer: Debian EFI <debian-efi@lists.debian.org>
Uploaders: Daniel Jared Dominguez <jared.dominguez@dell.com>, Steve McIntyre <93sam@debian.org>, Mario Limonciello <mario.limonciello@dell.com>
Build-Depends: debhelper (>= 9.0.0), pkg-config, libpopt-dev, libefivar-dev (>= 30), libefiboot-dev (>= 30), gnu-efi (>= 3.0.2), elfutils, libsmbios-dev [amd64 i386]
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/rhinstaller/fwupdate
Vcs-Git: git://anonscm.debian.org/uefi/fwupdate.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=uefi/fwupdate.git

Package: libfwup-dev
Section: libdevel
Architecture: amd64 i386 armhf arm64
Multi-Arch: same
Depends: libfwup1 (= ${binary:Version}), ${misc:Depends}, libefivar-dev (>= 0.16)
Description: Development headers for libfwup
 fwupdate provides functionality to update system firmware. It has been 
 initially designed to update firmware using UEFI capsule updates, but 
 it is designed to be extensible to other firmware update standards.
 .
 This package provides development headers required to use libfwup.

Package: fwupdate
Section: admin
Architecture: amd64 i386 armhf arm64
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libfwup1 (= ${binary:Version}), efibootmgr
Description: Tools to manage UEFI firmware updates
 fwupdate provides functionality to update system firmware. It has been 
 initially designed to update firmware using UEFI capsule updates, but 
 it is designed to be extensible to other firmware update standards.
 .
 This package provides a simple command line interface to perform UEFI 
 firmware updates.

Package: libfwup1
Architecture: amd64 i386 armhf arm64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to manage UEFI firmware updates
 fwupdate provides functionality to update system firmware. It has been 
 initially designed to update firmware using UEFI capsule updates, but 
 it is designed to be extensible to other firmware update standards.
 .
 This library is to allow for the simple manipulation of UEFI firmware updates.
