=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 EFIDIR ?= $(shell dpkg-vendor --query vendor | awk '{ print tolower($$0) }')
+PODATE := $(shell dpkg-parsechangelog --show-field Date | xargs -0 date --utc "+%Y-%m-%d %H:%M%z" --date)
 
 SB_PACKAGE :=
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
@@ -12,6 +12,7 @@
 endif
 
 buildroot	:= debian/tmp
+
 
 %:
 	dh $@
@@ -25,6 +26,14 @@
 			 EFIDIR=$(EFIDIR)
 	sed 's,#EFIDIR#,$(EFIDIR),' \
 		debian/fwupdate.postrm.in > debian/fwupdate.postrm
+	sed 's,#EFIDIR#,$(EFIDIR),' \
+		debian/fwupdate.postinst.in > debian/fwupdate.postinst
+
+	# This is to satisfy https://wiki.debian.org/ReproducibleBuilds
+	sed -i 's,POT-Creation-Date:.*,POT-Creation-Date: $(PODATE)\\n",' \
+		linux/libfwup.po
+	sed -i 's,POT-Creation-Date:.*,POT-Creation-Date: $(PODATE)\\n",' \
+		linux/fwupdate.po
 
 override_dh_auto_install:
 	dh_auto_install -- libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -37,8 +46,8 @@
 	cp debian/scripts/install.in   ${buildroot}/usr/lib/fwupdate/install
 	sed -i 's,#EFIDIR#,$(EFIDIR),' ${buildroot}/usr/lib/fwupdate/install
 
-override_dh_clean:
-	dh_clean
+override_dh_auto_clean:
+	dh_auto_clean -- EFIDIR=$(EFIDIR)
 ifneq (,$(SB_PACKAGE))
 		rm -rf debian/fwupdate-images
 endif
